### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class MyDocuments

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
com.sas.services.information.metadata.Metadata
com.sas.services.information.metadata.Folder
com.sas.services.information.metadata.MyDocuments

All Implemented Interfaces:
  `FolderInterface`, `MetadataInterface`, `MyDocumentsInterface`, `MutableContainerInterface`, `PublicObjectContainerInterface`, `PublicObjectInterface`, com.sas.services.util.UpgradeInterface, `com.sas.storage.editableproperties.LocalizableProperties`, `Serializable`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public class MyDocuments extends Folder implements MyDocumentsInterface
Represents the Documents folder for a person. This folder is obtained from the personal repository, using the `getApplicationManager` method

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `applicationExtension`
  Extension used in path strings to refer to the MyDocument folder

  ### Fields inherited from class com.sas.services.information.metadata.Folder

  `CREATION_DATE, CURRENT_VERSION, MODIFIED_DATE, OLDEST_VERSION, REPOSITORY_CONTENT_MAPPING`

  ### Fields inherited from class com.sas.services.information.metadata.Metadata

  `_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

  ### Fields inherited from class java.rmi.server.RemoteObject

  `ref`

  ### Fields inherited from interface com.sas.services.information.metadata.FolderInterface

  `FOLDER_TYPE_BIP`

  ### Fields inherited from interface com.sas.storage.editableproperties.LocalizableProperties

  `PROPERTY_DESCRIPTION, PROPERTY_NAME`

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `MyDocuments()`
  Creates a new MyDocuments folder.
  ``
  `MyDocuments(DAVFolder o)`
  Creates a new MyDocuments folder that incorporates the DAV folder object passed to the constructor.
  `protected`
  `MyDocuments(DAVFolder o, Class theClass)`
  Creates a new MyDocuments folder that incorporates the DAV folder object passed to the constructor.
  `protected`
  `MyDocuments(Class theClass)`
  Creates a new MyDocuments folder.

- ## Method Summary

  ### Methods inherited from class com.sas.services.information.metadata.Folder

  `addChild, addItem, addItem, addNewItem, addSubfolder, addSubfolder, copyTo, delete, deleteItem, deleteSubfolder, getChildAt, getChildCount, getChildren, getChildren, getContentCreateDate, getContentInfo, getContentModifyDate, getFolderRefresh, getFolderType, getItem, getItemByClass, getItemByType, getItemRefresh, getItems, getItemsByClass, getItemsByType, getItemSublist, getItemSublist, getLocalizableProperties, getParent, getPath, getPublicTypeItem, getSubfolder, getSubfolders, getTotalNumberOfItems, getType, hasContentBackedItems, hasContentBacking, hasDuplicate, hasDuplicateSubfolder, hasDuplicateSubfolder, insertChild, isEmpty, isItemNameUnique, makeSubfolder, makeSubfolder, mapNameToFilesystem, mapUrlToFilesystem, moveMembersOnOverflow, moveTo, newChild, newServiceObject, refresh, removeChild, removeItem, removeSubfolder, setContentCreateDate, setContentModifyDate, setFolderRefresh, setFolderType, setItemRefresh, setLocalizableProperties, setName, setRepository, upgradeFromPreviousVersion`

  ### Methods inherited from class com.sas.services.information.metadata.Metadata

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, countAssociatedObjects, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logThrowable, notifyTransactionListeners, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

  ### Methods inherited from class java.rmi.server.UnicastRemoteObject

  `clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

  ### Methods inherited from class java.rmi.server.RemoteServer

  `getClientHost, getLog, setLog`

  ### Methods inherited from class java.rmi.server.RemoteObject

  `equals, getRef, toStub`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.FolderInterface

  `addItem, addNewItem, addSubfolder, deleteItem, deleteSubfolder, getContentCreateDate, getContentInfo, getContentModifyDate, getFolderType, getItem, getItemByClass, getItemByType, getItems, getItemsByClass, getItemsByType, getItemSublist, getItemSublist, getParent, getPath, getPublicTypeItem, getSubfolder, getSubfolders, getTotalNumberOfItems, hasDuplicate, hasDuplicateSubfolder, isEmpty, isItemNameUnique, makeSubfolder, makeSubfolder, moveMembersOnOverflow, removeItem, removeSubfolder, setContentCreateDate, setContentModifyDate, setFolderType`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.MutableContainerInterface

  `addChild, insertChild, removeChild`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectContainerInterface

  `getChildAt, getChildCount, getChildren, getChildren, newChild`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Field Details

  - ### applicationExtension

    public static String applicationExtension
    Extension used in path strings to refer to the MyDocument folder

- ## Constructor Details

  - ### MyDocuments

    public MyDocuments() throws RemoteException
    Creates a new MyDocuments folder.
    Throws:
      `RemoteException` - if unable to export the remote object.

  - ### MyDocuments

    public MyDocuments(DAVFolder o) throws RemoteException
    Creates a new MyDocuments folder that incorporates the DAV folder object passed to the constructor.
    Parameters:
      `o` - DAV folder.
    Throws:
      `RemoteException` - if unable to export the remote object.

  - ### MyDocuments

    protected MyDocuments(Class theClass) throws RemoteException
    Creates a new MyDocuments folder.
    Parameters:
      `theClass` - The subclass's class which will be used to determine appropriate RMI socket factories.
    Throws:
      `RemoteException` - if unable to export the remote object.

  - ### MyDocuments

    protected MyDocuments(DAVFolder o, Class theClass) throws RemoteException
    Creates a new MyDocuments folder that incorporates the DAV folder object passed to the constructor.
    Parameters:
      `o` - DAV folder.
      `theClass` - The subclass's class which will be used to determine appropriate RMI socket factories.
    Throws:
      `RemoteException` - if unable to export the remote object.